Bug 1289738 - (plasma-user-manager) Review Request: plasma-user-manager - Manage the users of your system
Review Request: plasma-user-manager - Manage the users of your system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews plasma5 1279057 1293078
  Show dependency treegraph
 
Reported: 2015-12-08 15:43 EST by Rex Dieter
Modified: 2016-01-10 19:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 23:22:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattia.verga: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-12-08 15:43:26 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-user-manager.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-user-manager-5.5.0-10.fc23.src.rpm
Description: A simple system settings module to manage the users of your system.

Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2015-12-08 15:44:17 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12114393
Comment 2 Upstream Release Monitoring 2015-12-08 15:57:22 EST
rdieter's scratch build of plasma-user-manager-5.5.0-10.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12114393
Comment 3 Mattia Verga 2015-12-30 15:22:23 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- License in .spec file is GPLv2+ but some sources are licensed 
  as GPLv2, some others are LGPL (v2 or later).


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2.0)", "LGPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 54 files have unknown license. Detailed output
     of licensecheck in /home/rpmbuild/1289738-plasma-user-
     manager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in plasma-
     user-manager-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: plasma-user-manager-5.5.0-10.fc24.x86_64.rpm
          plasma-user-manager-debuginfo-5.5.0-10.fc24.x86_64.rpm
          plasma-user-manager-5.5.0-10.fc24.src.rpm
plasma-user-manager.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: plasma-user-manager-debuginfo-5.5.0-10.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
plasma-user-manager.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
plasma-user-manager (rpmlib, GLIBC filtered):
    libKF5Auth.so.5()(64bit)
    libKF5Bookmarks.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5GuiAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5ItemViews.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KDELibs4Support.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOFileWidgets.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5Solid.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5UnitConversion.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpwquality.so.1()(64bit)
    libpwquality.so.1(LIBPWQUALITY_1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

plasma-user-manager-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
plasma-user-manager:
    plasma-user-manager
    plasma-user-manager(x86-64)
    user-manager

plasma-user-manager-debuginfo:
    plasma-user-manager-debuginfo
    plasma-user-manager-debuginfo(x86-64)



Unversioned so-files
--------------------
plasma-user-manager: /usr/lib64/qt5/plugins/user_manager.so

Source checksums
----------------
http://download.kde.org/stable/plasma/5.5.0/user-manager-5.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 491cbd4d9d611a101b808226269a503c11093101eb939f04d211e1eb784e6423
  CHECKSUM(SHA256) upstream package : 491cbd4d9d611a101b808226269a503c11093101eb939f04d211e1eb784e6423


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./FedoraReview/try-fedora-review -b 1289738
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Rex Dieter 2015-12-31 14:51:21 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-user-manager.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-user-manager-5.5.0-11.fc23.src.rpm

%changelog
* Thu Dec 31 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-11
- License: GPLv2
Comment 5 Mattia Verga 2016-01-01 04:37:44 EST
Now seems ok, package approved.
Comment 6 Gwyn Ciesla 2016-01-01 10:44:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/plasma-user-manager
Comment 7 Fedora Update System 2016-01-01 15:32:38 EST
plasma-user-manager-5.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dcae5b09bd
Comment 8 Fedora Update System 2016-01-01 15:33:32 EST
plasma-user-manager-5.5.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-014c5d0d08
Comment 9 Fedora Update System 2016-01-02 22:21:50 EST
plasma-user-manager-5.5.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-014c5d0d08
Comment 10 Fedora Update System 2016-01-02 22:23:19 EST
plasma-user-manager-5.5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dcae5b09bd
Comment 11 Fedora Update System 2016-01-06 23:21:58 EST
plasma-user-manager-5.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-01-10 19:52:51 EST
plasma-user-manager-5.5.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.